<?php
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//
	$StrEmp=V($_POST['CboEmp']);
	$StrNom=V($_POST['TxtNom']);
	$StrObs=V($_POST['TxtObs']);		
	$StrDir=V($_POST['TxtDir']);
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("S");
	//
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrEmp=gs("ENC","vis_almacenes","IDA=$Id");		
		$StrNom=gs("alm_nombre","almacenes","id_almacen=$Id");		
		$StrObs=gs("alm_obs","almacenes","id_almacen=$Id");		
		$StrDir=gs("alm_dir","almacenes","id_almacen=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";				
	}	
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){		
		if(GetC("almacenes","alm_nombre='$StrNom'")>0){
			$LStrMsg="Almacen ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(GetC("almacenes","alm_obs='$StrObs'")>0){
			$LStrMsg="Almacen (Nombre corto) ya esta registrado";
			$LStrFoc="document.getElementById('TxtObs').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_almacen","almacenes");
			$s="INSERT INTO almacenes 
				VALUES ($Id,'$StrNom','$StrObs','$StrDir',$StrEmp_)";
			ejt($s);
			//
			ejt("DELETE FROM stocks WHERE id_almacen=$Id");
			$s="SELECT id_producto FROM productos ORDER by id_producto";
			$result = grs($s);
			while ($row = $result->fetch_row()){
				STOCK_ADD($Id,$row[0],0);
			}
			//
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
			$StrDir="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("almacenes",
				"alm_nombre='$StrNom' AND id_almacen<>$StrId")>0){
			$LStrMsg="Nombre del almacen ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(GetC("almacenes",
				"alm_obs='$StrObs' AND id_almacen<>$StrId")>0){
			$LStrMsg="Almacen (Nombre corto) ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE almacenes SET alm_nombre='$StrNom',
				alm_obs='$StrObs',alm_dir='$StrDir',
				alm_id_empresa=$StrEmp_ 
				WHERE id_almacen=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
			$StrDir="";
		}
	}
	if($StrCmd=="E"){
		//BUSCAR EN TODAS LAS TRANSACIONES
		if(gn("count(*)","compras","id_almacen=$StrId AND id_compra>0")>0){
			$LStrMsg="Una o mas compras relacionadas";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";		
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","transferencias","id_alm_o=$StrId AND id_trans>0")>0){
				$LStrMsg="Una o mas transferencias (origen) relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","transferencias","id_alm_d=$StrId AND id_trans>0")>0){
				$LStrMsg="Una o mas transferencias (destino) relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","ajustes","id_alm=$StrId AND id_ajuste>0")>0){
				$LStrMsg="Una o mas ajustes relacionados";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","guias","id_almacen=$StrId AND id_guia>0")>0){
				$LStrMsg="Una o mas guias de remision relacionados";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","ginterna","gi_id_alm=$StrId AND id_gi>0")>0){
				$LStrMsg="Una o mas guias internas relacionados";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","transformaciones","id_almacen=$StrId AND id_transformacion>0")>0){
				$LStrMsg="Una o mas transformaciones relacionados";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","egresos","id_alm=$StrId AND id_egreso>0")>0){
				$LStrMsg="Una o mas egresos relacionados";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","cotizaciones","id_alm=$StrId AND id_cotizacion>0")>0){
				$LStrMsg="Una o mas cotizaciones relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","ventas","id_alm=$StrId AND id_venta>0")>0){
				$LStrMsg="Una o mas ventas relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","devoluciones","dev_id_alm=$StrId AND id_devolucion>0")>0){
				$LStrMsg="Una o mas devoluciones relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","ingresos","id_alm=$StrId AND id_ingreso>0")>0){
				$LStrMsg="Una o mas ingresos relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","usuarios","id_alm=$StrId AND id_usuario>0")>0){
				$LStrMsg="Una o mas usuarios relacionadas";
				$LStrFoc="document.getElementById('TxtNom').focus();";						
				$StrGT="S";		
			}
		}
		///////////////////////////////////////////////////////////////////
		if(strlen($StrGT)==0){
			$s="DELETE FROM almacenes WHERE id_almacen=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
			$StrDir="";			
		}
		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('CboEmp').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>